openSUSE-SU-2019:0016-1: moderate: Security update for GraphicsMagick


openSUSE Security Update: Security update for GraphicsMagick
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:0016-1
Rating: moderate
References: #1120381
Cross-References: CVE-2018-20467
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for GraphicsMagick fixes the following issue:

Security issue fixed:

– CVE-2018-20467: Fixed infinite loop in coders/bmp.c (boo#1120381)

Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or “zypper patch”.

Alternatively you can run the command listed for your product:

– openSUSE Leap 42.3:

zypper in -t patch openSUSE-2019-16=1

Package List:

– openSUSE Leap 42.3 (i586 x86_64):

GraphicsMagick-1.3.25-123.1
GraphicsMagick-debuginfo-1.3.25-123.1
GraphicsMagick-debugsource-1.3.25-123.1
GraphicsMagick-devel-1.3.25-123.1
libGraphicsMagick++-Q16-12-1.3.25-123.1
libGraphicsMagick++-Q16-12-debuginfo-1.3.25-123.1
libGraphicsMagick++-devel-1.3.25-123.1
libGraphicsMagick-Q16-3-1.3.25-123.1
libGraphicsMagick-Q16-3-debuginfo-1.3.25-123.1
libGraphicsMagick3-config-1.3.25-123.1
libGraphicsMagickWand-Q16-2-1.3.25-123.1
libGraphicsMagickWand-Q16-2-debuginfo-1.3.25-123.1
perl-GraphicsMagick-1.3.25-123.1
perl-GraphicsMagick-debuginfo-1.3.25-123.1

References:

https://www.suse.com/security/cve/CVE-2018-20467.html
https://bugzilla.suse.com/1120381


To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org